Bug 478468 - guile-1.8.6-1 packaging does not account for emacs packages
guile-1.8.6-1 packaging does not account for emacs packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: guile (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 12:59 EST by R P Herrold
Modified: 2009-01-08 06:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 06:34:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2008-12-30 12:59:02 EST
Description of problem:
current guile packaging does not account for emacs packages

Version-Release number of selected component (if applicable):
guile-1.8.6-1.fc11.src.rpm

How reproducible:
rpmbuild --rebuild guile-1.8.6-1.fc11.src.rpm

Steps to Reproduce:
simple rpmbuild with emacs in the build environment

 ...
   /usr/share/emacs/site-lisp/gds-scheme.el
   /usr/share/emacs/site-lisp/gds-server.el
   /usr/share/emacs/site-lisp/gds.el
[herrold@centos-5 guile]$ rpmbuild --rebuild guile-1.8.6-1.fc11.src.rpm

Build env contains emacs

[herrold@centos-5 guile]$ rpm -qa emacs\*
emacs-21.4-20.el5
emacs-common-21.4-20.el5
emacs-el-21.4-20.el5
  
Actual results:
Build failure when emacs is present

Expected results:
A %files stanza which handles these emacs realted files

Additional info:
Please ask if you need more information
-- Russ herrold
Comment 1 R P Herrold 2008-12-30 13:08:09 EST
local fix was this:

[herrold@centos-5 guile]$ diff -u guile.spec guile-1.8.6.spec
--- guile.spec  2008-12-30 13:01:50.000000000 -0500
+++ guile-1.8.6.spec    2008-12-30 13:03:33.000000000 -0500
@@ -2,7 +2,7 @@
 Name: guile
 %define mver 1.8
 Version: 1.8.6
-Release: 1%{?dist}
+Release: 2%{?dist}
 Source: ftp://ftp.gnu.org/pub/gnu/guile/guile-%{version}.tar.gz
 URL: http://www.gnu.org/software/guile/
 Patch1: guile-1.8.4-multilib.patch
@@ -150,6 +150,7 @@
 %dir %{_datadir}/guile/site
 %{_infodir}/*
 %{_mandir}/man1/guile.1*
+%{_datadir}/emacs/site-lisp/*.el

 %files devel
 %defattr(-,root,root,-)
@@ -163,6 +164,9 @@
 %{_includedir}/libguile.h

 %changelog
+* Tue Dec 30 2008 R P Herrold <info@owlriver.com> 5:1.8.6-2orc
+- account for emacs files (RH 478468)
+
 * Tue Dec 09 2008 Miroslav Lichvar <mlichvar@redhat.com> - 5:1.8.6-1
 - update to 1.8.6

[herrold@centos-5 guile]$
Comment 2 Miroslav Lichvar 2009-01-08 06:34:00 EST
Fixed in guile-1.8.6-2.fc11. Thanks.

Note You need to log in before you can comment on or make changes to this bug.